// CAboutDialog.h -- dialog class
// Created 7/2/97 3:56 PM by AppMaker

#pragma once

#include <LDialogBox.h>

#include "DAboutDialogData.h"

class	LStream;

class	LStdButton;
class	LCaption;


#define cmdOKdialog_AboutDialog		'Abog'

//----------
class	CAboutDialog : public LDialogBox {
public:	// these comprise the programming interface for using the dialog
	static	CAboutDialog*		CreateAboutDialog		(LCommander*	inSuperCommander,
												 DAboutDialogData*		inData);
	virtual void		setFromData		(DAboutDialogData*		inData);
	virtual DAboutDialogData*		getData ();


public:	// these comprise the implementation
	enum { class_ID = 'Abog' };

						CAboutDialog		(LStream*	inStream);
	virtual				~CAboutDialog();

	virtual void		ListenToMessage		(MessageT	inMessage,
											 void		*ioParam);

	virtual Boolean		ObeyCommand			(CommandT	inCommand,
											 void		*ioParam = nil);
	virtual void		FindCommandStatus	(CommandT	inCommand,
											 Boolean	&outEnabled,
											 Boolean	&outUsesMark,
											 Char16		&outMark,
											 Str255		outName);

protected:
	static	void		RegisterClass();
	virtual void		FinishCreateSelf();

protected:
	static Boolean		sIsRegistered;

	LStdButton*		mOKButton;

	DAboutDialogData*		mData;

};
